Subject: My $0.02

From: Christopher Rodriguez <[email-masked]>
Date: Sun, 20 Mar 2022 15:42:37 -0400

Hey,

Just ran into this issue myself. Was able to work around it by editing the
file:

`/var/run/docker/containers/<container-hash-goes-here>/hostconfig.json` to
point to the same `runc` executable that is listed by `guix package -I
runc`. After editing, simply run `sudo herd restart dockerd` and the edited
container will work as it used to.

Dunno how we might implement this kind of edit into the procedure that
updates `runc` in the first place, but it seems like that could be a
solution. Ideally, it would just use `runc` in the `$PATH`, but then `runc`
becomes a propagated input.

Hope this helps.

--

Christopher Rodriguez